## fig2ps 1.3.2

=== Makefile ===
%.1: %.pod
	pod2man -c '' $< $@
bin/fig2pdf:
	cd bin;ln -s fig2ps fig2pdf; cd ..;
doc/fig2pdf.1:
	cd doc;ln -s fig2ps.1 fig2pdf.1; cd ..;

build: doc/fig2ps.1 check

check:
	perl -c -w bin/fig2ps

install: build
	cp bin/fig2ps $(DESTDIR)/usr/bin/fig2ps
	cp fig2ps.rc $(DESTDIR)/etc/fig2ps/fig2ps.rc
	gzip --best -c doc/fig2ps.1 > $(DESTDIR)/usr/share/man/man1/fig2ps.1.gz

install-home: build
	if test -d $(HOME)/bin ;\
	then cp bin/fig2ps $(HOME)/bin;\
	ln -s  $(HOME)/bin/fig2ps  $(HOME)/bin/fig2pdf;\
	ln -s  $(HOME)/bin/fig2ps  $(HOME)/bin/fig2eps;\
	cp fig2ps.rc $(HOME)/.fig2ps.rc;\
	else echo "You should have a $(HOME)/bin directory";\
	fi;

clean:
	rm -f `find . -name "*~"`;
	rm doc/fig2ps.1;

## fig2ps 1.3.6

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,22 @@
 	perl -c -w bin/fig2ps
 
 install: build
+	echo Destination: $(DESTDIR)
+	for dir in `cat dirs`;do echo $$dir;install -d $(DESTDIR)/$$dir/; done;
 	cp bin/fig2ps $(DESTDIR)/usr/bin/fig2ps
 	cp fig2ps.rc $(DESTDIR)/etc/fig2ps/fig2ps.rc
 	gzip --best -c doc/fig2ps.1 > $(DESTDIR)/usr/share/man/man1/fig2ps.1.gz
+	# really small documentation
+	cp examples/Example.fig $(DESTDIR)/usr/share/doc/fig2ps/examples/Example.fig
+	gzip --best -c examples/Example.ps > $(DESTDIR)/usr/share/doc/fig2ps/examples/Example.ps.gz
+	cp README $(DESTDIR)/usr/share/doc/fig2ps
+
+
+	# then, the links:
+	ln -s fig2ps $(DESTDIR)/usr/bin/fig2pdf
+	ln -s fig2ps $(DESTDIR)/usr/bin/fig2eps
+	ln -s fig2ps.1.gz $(DESTDIR)/usr/share/man/man1/fig2pdf.1.gz
+	ln -s fig2ps.1.gz $(DESTDIR)/usr/share/man/man1/fig2eps.1.gz
 
 install-home: build
 	if test -d $(HOME)/bin ;\
@@ -25,6 +38,6 @@
 	fi;
 
 clean:
-	rm -f `find . -name "*~"`;
-	rm doc/fig2ps.1;
+	-rm -f `find . -name "*~"`;
+	-rm doc/fig2ps.1;

## fig2ps 1.4.1

=== Makefile ===
# Directories:
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man/
MAN1DIR=$(MANDIR)/man1
ETCDIR=/etc/fig2ps
HOMEBINDIR=$(HOME)/bin

# Programs:
MKPATH=mkdir -p
INSTALL=install -m 755 
INSTALLDATA=install -m 644 
LNS=ln -s 
RMF=rm -f
GZIP_FILTER=gzip --best -c 


%.1: %.pod
	pod2man -c 'Convert from XFIG to PS/EPS/PDF' $< $@

build: doc/fig2ps.1 check

check:
	perl -c -w bin/fig2ps

install: build
# Executable file:
	$(MKPATH) $(DESTDIR)$(BINDIR)
	$(INSTALL) bin/fig2ps $(DESTDIR)$(BINDIR)

# Configuration file
	$(MKPATH) $(DESTDIR)$(ETCDIR)
	$(INSTALLDATA) fig2ps.rc $(DESTDIR)$(ETCDIR)

# Manual page
	$(MKPATH) $(DESTDIR)$(MAN1DIR)
	$(GZIP_FILTER) doc/fig2ps.1 > $(DESTDIR)$(MAN1DIR)/fig2ps.1.gz

# Links:
	$(LNS) fig2ps $(DESTDIR)$(BINDIR)/fig2pdf
	$(LNS) fig2ps $(DESTDIR)$(BINDIR)/fig2eps
	$(LNS) fig2ps.1.gz $(DESTDIR)$(MAN1DIR)/fig2pdf.1.gz
	$(LNS) fig2ps.1.gz $(DESTDIR)$(MAN1DIR)/fig2eps.1.gz

install-home: build
	$(MKPATH) $(HOMEBINDIR)
	$(INSTALL) bin/fig2ps $(HOMEBINDIR)

# Do not fail if links exist
	[ -L $(HOMEBINDIR)/fig2pdf ] || $(LNS) fig2ps $(HOMEBINDIR)/fig2pdf
	[ -L $(HOMEBINDIR)/fig2eps ] || $(LNS) fig2ps $(HOMEBINDIR)/fig2eps
	[ -r $(HOME)/.fig2ps.rc ] && \
	echo "Personal configuration file found: not installing a new configuration file" || \
	cp fig2ps.rc $(HOME)/.fig2ps.rc

clean:
	$(RMF) `find . -name "*~"`
	$(RMF) doc/fig2ps.1

## fig2ps 1.5

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,7 @@
 GZIP_FILTER=gzip --best -c 
 
 
-%.1: %.pod
-	pod2man -c 'Convert from XFIG to PS/EPS/PDF' $< $@
-
-build: doc/fig2ps.1 check
+build: check
 
 check:
 	perl -c -w bin/fig2ps
@@ -55,5 +52,4 @@
 
 clean:
 	$(RMF) `find . -name "*~"`
-	$(RMF) doc/fig2ps.1

=== debian/changelog ===
fig2ps (1.5-7) unstable; urgency=medium

  * debian/upstream/metadata: fix Repository-Browse field.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Wed, 22 Jul 2020 18:51:57 -0300

fig2ps (1.5-6) unstable; urgency=medium

  * New maintainer. (Closes: #772449)

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Wed, 22 Jul 2020 18:51:16 -0300

fig2ps (1.5-5) unstable; urgency=medium

  * QA upload.
  * debian/control: changed Vcs-* URLs to salsa.debian.org.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Fri, 05 Jun 2020 21:01:27 -0300

fig2ps (1.5-4) unstable; urgency=medium

  * QA upload.
  * debian/control: removed packages textex-bin and textex-extra in Depends
      field because has been superseded.
  * debian/copyright: updated in according to Copyright format 1.0.
  * debian/dirs: removed because this file is useless now.
  * debian/patches/010_fix-open-ps-with-gv.path: created for the ps file to be
      opened by gv after it has been converted from the fig file (LP: #741610).
  * debian/rules: added override_dh_strip_nondeterminism target to avoid a
      false positive.
  * debian/source/include-binaries: added to allow debian/tests/test.fig.
  * debian/test/control: redone CI tests.
  * debian/upstream/metadata: created.
  * debian/watch: bumped to version 4.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 26 May 2020 15:02:44 -0300

fig2ps (1.5-3) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Depends field:
          ~ Changed 'perl-modules' to 'perl' because it a suitable dependency.
          ~ Added 'texlive-font-utils' for PDF conversion.
  * debian/rules: update to new format.
  * debian/test/control: created to perform CI tests.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Thu, 21 May 2020 00:32:14 -0300

fig2ps (1.5-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #772449)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/rules : changed dh_clean -k to dh_clean.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Sat, 09 May 2020 18:29:47 +0000

fig2ps (1.5-1) unstable; urgency=low

  * New upstream release
    - we now can pass options for PS to PDF, which somehow closes: #550474
  * Switch to new source format 3.0 (quilt)
  * Updating debian/watch to also get .bz2 tarballs
  * Adding a dependency on ${misc:Depends} to take care of potential
    dh-induced dependencies
  * Apparently conforms to standards 3.8.4
  * Rephrase description to avoid first person sentences

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 04 Feb 2010 23:06:55 +0100

fig2ps (1.4.1-2) unstable; urgency=low

  * Adding Vcs-* fields
  * Adding a Homepage field
  * Uploading to unstable, now that lenny is out

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 15 Feb 2009 18:13:56 +0100

fig2ps (1.4.1-1) experimental; urgency=low

  * New upstream release
  * Fix watch file
  * Drop all patches and dpatch altogether
  * Now conforms to Standards 3.8.0
  * Updates to debian/rules
  * Adding new example files.
  * Switching to newer debhelper
  * Installing upstream's README and ChangeLog files
  * Updated debian/copyright
  * Uploading to experimental during lenny's freeze

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 04 Jan 2009 11:36:25 +0100

fig2ps (1.3.6-6) unstable; urgency=low

  * Now depend on ghoscript rather than gs
  * Make --bbox=dvips the default (closes: #494950)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 13 Aug 2008 13:49:40 +0200

fig2ps (1.3.6-5) unstable; urgency=low

  * Added 03-fix-gs-papersize for recent versions of gs for which
    -sPAPERSIZE=... does not go well with -sDEVICE=bbox.
  * Bumped standards version to 3.7.3, with no changes needed.
  * Moved code from the binary-arch to the binary-indep target, as there
    are no arch-dependent packages built. Thanks to lintian.

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 10 Jan 2008 20:33:54 +0100

fig2ps (1.3.6-4) unstable; urgency=low

  * Enhancing dependencies, putting texlive forward
  * Added some small documentation about Type 1 fonts, thanks to
    input from Michele Franceschini

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 01 May 2007 15:40:19 +0200

fig2ps (1.3.6-3) unstable; urgency=low

  * Depends on tetex-extra|texlive-extra-utils for epstopdf
  * Fixed typos in the changelog (to keep linda happy)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 20 Apr 2007 00:04:42 +0200

fig2ps (1.3.6-2) unstable; urgency=low

  * Added texlive-latex-extra dependency (closes: #408504)
  * Switched to my new address

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 16 Mar 2007 10:34:50 +0100

fig2ps (1.3.6-1) unstable; urgency=low

  * New 'upstream' release: now we can pass options to fig2dev
  * Switched the dependencies from only TeTeX to TeTeX or TeXLive (closes: #377525)
  * Added a debian/watch file, and he even is happy
  * Removed the Suggests: tetex-extra field

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Mon,  4 Sep 2006 23:25:34 +0200

fig2ps (1.3.5-1) unstable; urgency=low

  * New release : better handling of temporary files, thanks to JJ Fleck, small improvements
    in documentation, better error handling.

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Sat,  7 Jan 2006 22:28:09 +0100

fig2ps (1.3.4-1) unstable; urgency=low

  * corrected a small typo that was screwing up the handling of document classes
    using --input (reported by Mickael Profeta)
  * fixed a mistake in the Makefile

 -- Vincent Fourmond <vincent.fourmond@9online.fr>  Sun,  3 Jul 2005 16:37:47 +0200

fig2ps (1.3.3-2) unstable; urgency=low



=== debian/control ===
Source: fig2ps
Section: tex
Priority: optional
Maintainer: Luis Paulo Linares <lpfllinares@gmail.com>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Rules-Requires-Root: no
Homepage: http://sourceforge.net/projects/fig2ps
Vcs-Browser: https://salsa.debian.org/debian/fig2ps
Vcs-Git: https://salsa.debian.org/debian/fig2ps.git

Package: fig2ps
Architecture: all
Depends: ghostscript,
         perl,
         texlive-extra-utils,
         texlive-font-utils,
         texlive-fonts-recommended,
         texlive-latex-base,
         texlive-latex-extra,
         texlive-latex-recommended,
         transfig,
         ${misc:Depends},
         ${perl:Depends}
Recommends: gv
Suggests: cm-super | lmodern, xfig
Replaces: texmacs (<= 1.0.3-6)
Enhances: transfig
Description: Converts xfig files into ps, eps or pdf files using LaTeX for processing text
 This perl script takes into advantage the pstex and pstex_t export
 formats of fig2dev (xfig) to separate special text and the rest of a xfig
 file. Then, the text is processed separately using LaTeX, and
 everything is put back together at the end, to make a nice wonderful
 figure with the text formatted exactly the same way as the article you
 are typing ! PDF output is also available.
 .
 Though gv is strictly speaking not necessary for conversion, it can
 be called directly by fig2ps depending on the options you choose.
 For nice PDF output, you should install Type 1 fonts, such as lmodern
 or cm-super.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

# Avoid a false positive.
# Included_file.png is an example with intentional garbage.
override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -XIncluded_file.png

=== debian/tests/control ===
Test-Command: cp examples/Example.fig $AUTOPKGTEST_TMP/test.fig;
              cd $AUTOPKGTEST_TMP;
              fig2ps test.fig;
              file --mime-type test.ps | grep 'application/postscript'
Depends: @, file
Restrictions: allow-stderr

Test-Command: cp examples/Image_inclusion.fig $AUTOPKGTEST_TMP/test.fig;
              cd $AUTOPKGTEST_TMP;
              fig2ps --eps test.fig;
              file --mime-type test.eps | grep 'application/postscript'
Depends: @, file
Restrictions: allow-stderr

Test-Command: cp examples/Large-example.fig $AUTOPKGTEST_TMP/test.fig;
              cd $AUTOPKGTEST_TMP;
              fig2ps --pdf test.fig;
              file --mime-type test.pdf | grep 'application/pdf'
Depends: @, file
Restrictions: allow-stderr

Test-Command: cp examples/Included_file.png $AUTOPKGTEST_TMP/test.png;
              cd $AUTOPKGTEST_TMP;
              fig2ps test.png
Depends: @, file
Restrictions: allow-stderr

Test-Command: cp debian/tests/test.fig $AUTOPKGTEST_TMP/test.fig;
              cd $AUTOPKGTEST_TMP;
              fig2ps --eps --forcespecial test.fig;
              file --mime-type test.eps | grep 'application/postscript'
Depends: @, file
Restrictions: allow-stderr

=== debian/watch ===
version=4
http://sf.net/fig2ps/fig2ps-(.+)\.tar\.(?:bz2|gz)
